Initiate checkout & charge request

Customer first initiates a checkout request with details required to collect the payment.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Customer first initiates a checkout request with details required to collect the payment.

📘

Live Endpoint

https://api.tingg.africa/v3/checkout-api/checkout-charge


🚧

Kindly simulate a payment after charge on sandbox

https://api-approval.tingg.africa/v3/checkout-api/simulation/request

KeyValue TypeRequiredDescription
msisdnStringYesMobile number for the customer.
account_numberStringYesAccount number for the customer on the merchant system. This is the reference the customer will pay to.
callback_urlStringYesString of the endpoint we are to send the webhook request to.
country_codeStringYes3 digit ISO code of the Country you wish to collect payment for
currency_codeStringYes3 digit ISO code of the Currency the merchant is invoicing for.
customer_emailStringYesCustomer email the customer wished to pay for.
customer_first_nameStringYesCustomer first name
customer_last_nameStringYesCustomer last name
due_dateStringYesDate when the request expires in UTC.Date format is YYYY-MM-DD HH:mm:ss
fail_redirect_urlStringYesWhere we will redirect the customer to when the payment time passed above expires.
invoice_numberStringYesMerchant's invoice number.
merchant_transaction_idStringYesUnique Id the merchant raised for the request
request_amountDoubleYesAmount you wish to start collecting for.
national_idStringNoThe customers country identification issued by the local authority
passport_numberStringNoThis is the customer's issued passport identification number as indicated in the passport.
request_descriptionStringYesShows the description of the item being purchased.
service_codeStringYesThe service code assigned to the merchant on the tingg portal
success_redirect_urlStringYesWhere we will redirect the customer to after a successful payment is made.
is_offlineBooleanYes
extra_dataJSON ObjectNoExtra Information
payment_option_codeStringYesThe actual payer client code the merchant initiates the request for. See this list of payment option codes.
{
    "msisdn": "254700000000",
    "account_number": "10000017560004",
    "callback_url": "https://webhook.site/12345678",
    "country_code": "KEN",
    "currency_code": "KES",
    "customer_email": "[email protected]",
    "customer_first_name": "John",
    "customer_last_name": "Doe",
    "fail_redirect_url": "https://google.com/",
    "due_date": "2024-03-28 21:40:00",
    "invoice_number": "10000017560004",
    "merchant_transaction_id": "700a2435-e9f4-4fb9-b0d8-a350b92d5430",
    "request_amount": 600,
    "request_description": "10000017560004",
    "service_code": "TINGGTEST",
    "success_redirect_url": "https://ign.com/",
    "is_offline": true,
    "payment_option_code": "SAFKE"
}

Response Status Codes

Status CodeDescription
1Success. Checkout request successfully logged in the checkout platform.
200Success. Checkout request successfully logged in the checkout platform.
500Failure. Generic failure occurred. Could be as a result of a system failure on the checkout platform.
1001No request found.
1007Missing country code. The checkout request posted was missing a country_code
1013Not JSON. The checkout request posted was not valid JSON
1014Missing merchant transaction id. The request did not have a merchant_transaction_id
1015Missing checkout request id.The request did not have a checkout_request_id
1017Invalid charge msisdn provided. The charge_msisdn provided was not valid in the country provided
1027Invalid amount provided. The charge_amount should be between the minimum and maximum amounts provided for the payment option.
173Request initiated successfully
422Invalid Request
191Refund Expired

Body Params
string
required
Defaults to 254700000000

Customer's Phone number formatted as given in the E.164 phone numbering

string
required
Defaults to TinggAcc01
string
required
Defaults to https://online.dev.tingg.africa/development/configuration-service/v3/merchantcallbackurlforsuccess
string
required
Defaults to KEN
string
required
Defaults to KES
string
required
Defaults to [email protected]
string
required
Defaults to John
string
required
Defaults to Doe
date-time
required
Defaults to 2024-03-28 20:00:00
string
required
Defaults to https://jsonplaceholder.typicode.com/todos/1
string
required
Defaults to invoice_number
string
required
Defaults to 787867001614
double
required
Defaults to 100
string
Defaults to 123456
string
Defaults to 123456
string
required
Defaults to Bag
string
required
Defaults to TINGGTEST
string
required
Defaults to https://jsonplaceholder.typicode.com/todos/1
boolean
required
Defaults to true
extra_data
array
extra_data
string
required
Defaults to SAFKE
Headers
string
required
Defaults to pscPbgj27sEYaPBdxYoHSshEDdt5Pivq
string
required
Defaults to Bearer Token
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json